/****************************************************************
 *                                                              *
 *  Copyright (C) 2003,2005 Christoffer Owe                     *
 *  For conditions of distribution and use, see License.txt     *
 *                                                              *
 ****************************************************************/

#ifndef __GC_ATTRIBUTE
#define __GC_ATTRIBUTE

#include "gedcom.h"
#include "common.h"
#include "gc_date.h"
#include "gc_place.h"
#include "gc_address.h"
#include "gc_note.h"
#include "gc_source.h"

class GC_ATTRIBUTE
{
public:
	STRING Text;
	STRING Type;
	int Tag;
	GC_DATE Date;
	GC_PLACE Place;
	GC_ADDRESS Address;
	IDLIST SourcerefIDs;
	GC_NOTE Note;

	BOOL Import(GEDCOMFILE& file,VECTOR<GC_SOURCE*>& Sources,VECTOR<GC_SOURCECITE*>& Sourcerefs);
};

#endif