/****************************************************************
 *                                                              *
 *  Copyright (C) 2003-2009 Christoffer Owe                     *
 *  For conditions of distribution and use, see License.txt     *
 *                                                              *
 ****************************************************************/

#ifndef __GC_OBJECT
#define __GC_OBJECT

#include "common.h"
#include "gedcom.h"
#include "GC_note.h"

// Class for an object structure
class GC_OBJECTREC
{
public:
	STRING szPath;			// Path to the file holding the attachment
	TCHAR szFormat[12];
	STRING szTitle;
	GC_NOTE Note;

	//GC_OBJECTREC(){szPath[0]=0;}
	~GC_OBJECTREC();
	BOOL Import(GEDCOMFILE&,IDTABLE* ObjectIDs);
	BOOL ImportCode(GEDCOMFILE& file);
	void Decode(TCHAR* code);
};

class GC_OBJECT
{
public:
	TCHAR ObjectID[XREFSIZE+1];
	STRING szPath;			// Path to the file holding the attachment
	TCHAR szFormat[12];
	STRING szTitle;
	GC_NOTE Note;

	GC_OBJECT(){ObjectID[0]=0;}
	BOOL Import(GEDCOMFILE&);
};

#endif