/****************************************************************
 *                                                              *
 *  Copyright (C) 2003-2009 Christoffer Owe                     *
 *  For conditions of distribution and use, see License.txt     *
 *                                                              *
 ****************************************************************/

#ifndef __GC_HEADER
#define __GC_HEADER

#include "common.h"
#include "gc_address.h"
#include "gc_date.h"

class GC_HEADER
{
public:
	// Source system data
	STRING Sour;
	STRING SourVers;
	STRING SourName;
	STRING SourCorp;
	GC_ADDRESS SourCorpAddress;
	STRING SourData;
	STRING SourDate;
	STRING SourCopr;
	// Other data
	STRING Dest;
	GC_SIMPLEDATE Date;
	STRING DateTime;
	TCHAR Submitter[XREFSIZE+1];
	STRING File;
	STRING Copr;
	STRING GedcVers;
	STRING GedcForm;
	STRING Char;
	STRING CharVers;
	STRING Lang;
	STRING PlacForm;
	STRING Note;

	GC_HEADER(){Submitter[0]=0;}
	BOOL Import(GEDCOMFILE&);
};

#endif