/****************************************************************
 *                                                              *
 *  Copyright (C) 2003-2009 Christoffer Owe                     *
 *  For conditions of distribution and use, see License.txt     *
 *                                                              *
 ****************************************************************/

#ifndef __GC_REPOSITORY
#define __GC_REPOSITORY

#include "gedcom.h"
#include "common.h"
#include "gc_address.h"
#include "gc_note.h"
#include "gc_date.h"

class GC_REPOSITORY
{
public:
	STRING Name;
	GC_ADDRESS Address;
	GC_NOTE Note;
	GC_CHANGE Change;

	BOOL Import(GEDCOMFILE&);
};

class GC_REPREF
{
public:
	GC_NOTE Note;
	STRING Callnumber;
	TCHAR Rep[XREFSIZE+1];

	GC_REPREF(){Rep[0]=0;}
	BOOL Import(GEDCOMFILE&);
};

#endif